<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonTxBallBreakRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonTxBallBreakRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing the measured TX reflection coefficient's magnitude values, meant for detecting TX ball break. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Same strucuture is applicable for Tx0/Tx1/Tx2 ball break report. Event: RL_RF_AE_MON_TXn_BALLBREAK_REPORT.  
 <a href="structrl_mon_tx_ball_break_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a77c53c56b411e8ca34c320a60a308ac3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77c53c56b411e8ca34c320a60a308ac3"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_ball_break_rep__t.html#a77c53c56b411e8ca34c320a60a308ac3">statusFlags</a></td></tr>
<tr class="memdesc:a77c53c56b411e8ca34c320a60a308ac3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding <br />
 to various threshold checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 [0] STATUS_TXn_BALLBREAK <br />
 [15:1]RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a77c53c56b411e8ca34c320a60a308ac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2e8b4b07d1e0bb8e5875dc992d869f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2e8b4b07d1e0bb8e5875dc992d869f0"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_ball_break_rep__t.html#aa2e8b4b07d1e0bb8e5875dc992d869f0">errorCode</a></td></tr>
<tr class="memdesc:aa2e8b4b07d1e0bb8e5875dc992d869f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:aa2e8b4b07d1e0bb8e5875dc992d869f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa336d61c62243f147a1e8bb3097e3e27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa336d61c62243f147a1e8bb3097e3e27"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_ball_break_rep__t.html#aa336d61c62243f147a1e8bb3097e3e27">txReflCoefVal</a></td></tr>
<tr class="memdesc:aa336d61c62243f147a1e8bb3097e3e27"><td class="mdescLeft">&#160;</td><td class="mdescRight">The TX reflection coefficient's magnitude for this channel is reported here. <br />
 1 LSB = 0.1 dB, signed number <br />
. <br /></td></tr>
<tr class="separator:aa336d61c62243f147a1e8bb3097e3e27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9965e3d2456d8dad0fef29f82b7b274"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9965e3d2456d8dad0fef29f82b7b274"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_ball_break_rep__t.html#af9965e3d2456d8dad0fef29f82b7b274">reserved0</a></td></tr>
<tr class="memdesc:af9965e3d2456d8dad0fef29f82b7b274"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:af9965e3d2456d8dad0fef29f82b7b274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7625ddb3b5d314a25db9dde61ab6526f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7625ddb3b5d314a25db9dde61ab6526f"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_ball_break_rep__t.html#a7625ddb3b5d314a25db9dde61ab6526f">reserved1</a></td></tr>
<tr class="memdesc:a7625ddb3b5d314a25db9dde61ab6526f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a7625ddb3b5d314a25db9dde61ab6526f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad482c209cd7ea7827ef78adeddd612e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad482c209cd7ea7827ef78adeddd612e5"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_ball_break_rep__t.html#ad482c209cd7ea7827ef78adeddd612e5">timeStamp</a></td></tr>
<tr class="memdesc:ad482c209cd7ea7827ef78adeddd612e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon <br />
 exceeding allotted bit width) <br />
. <br /></td></tr>
<tr class="separator:ad482c209cd7ea7827ef78adeddd612e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing the measured TX reflection coefficient's magnitude values, meant for detecting TX ball break. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Same strucuture is applicable for Tx0/Tx1/Tx2 ball break report. Event: RL_RF_AE_MON_TXn_BALLBREAK_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
